> ## Documentation Index
> Fetch the complete documentation index at: https://docs.derivadex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tradable Products

> Get list of available trading products



## OpenAPI

````yaml /api-specs/public-rest-unified.json get /stats/api/v1/tradable_products
openapi: 3.1.0
info:
  title: DerivaDEX API Documentation
  version: '1.0'
  description: ''
servers:
  - url: https://testnet.derivadex.io
    description: DerivaDEX testnet
security: []
tags:
  - name: Venue-Wide Tables
    description: These APIs expose venue-wide public tables and reference data.
    x-source-api: Public REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public Exchange REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public Exchange REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public Exchange REST API
paths:
  /stats/api/v1/tradable_products:
    get:
      tags:
        - System
      summary: Get Tradable Products
      description: Get list of available trading products
      parameters:
        - name: kind
          in: query
          schema:
            type: integer
            enum:
              - 0
              - 2
              - 3
          example: 0
          description: |
            The type of spec update. Values include:
              0: Market
              2: Index Market
              3: Quearterly Expiry Market
        - name: isActive
          in: query
          schema:
            type: boolean
          example: true
          description: |
            Checks for the active state of the tradable product. Values include:
              true
              false
        - in: query
          name: limit
          schema:
            type: integer
            default: 500
          description: The number of rows to return
        - in: query
          name: offset
          schema:
            type: integer
            default: 0
          description: The offset of returned rows
      responses:
        '200':
          description: Tradable products data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TradableProductAPISuccessResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
components:
  schemas:
    TradableProductAPISuccessResponse:
      type: object
      additionalProperties: false
      properties:
        value:
          type: array
          items:
            type: object
            properties:
              kind:
                type: number
                description: >-
                  The type of setting. Values include:  0: Perpetual Market,  2:
                  Index Market,  3: Quarterly Expiry Future
                examples:
                  - 0
                  - 2
                  - 3
              symbol:
                type: string
                description: The symbol of the asset for this product.
                examples:
                  - ETHP
              name:
                type: string
                description: The corresponding name in the specs setting.
                examples:
                  - ETHP
                  - api.binance.com
              isActive:
                type: boolean
                description: >-
                  The state of the tradable product. If true, then this product
                  is available to trade on the exchange, otherwise false.
                examples:
                  - true
              createdAt:
                type: string
                format: date-time
                description: The time when this row was added to the database.
                examples:
                  - '2023-01-06T16:37:27.929Z'
            required:
              - kind
              - symbol
              - name
              - isActive
              - createdAt
            additionalProperties: false
          description: The value of the response
        success:
          type: boolean
          const: true
          description: Whether the request was successful
        timestamp:
          type: number
          description: The timestamp of the response
          examples:
            - 1673031089
      required:
        - success
        - timestamp
        - value
      description: Successful response for the Tradable Product API
    StatsAPIErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          const: false
        errorMsg:
          anyOf:
            - type: string
            - type: array
              items:
                type: object
                additionalProperties: false
      required:
        - success
      additionalProperties: false

````